Returns detailed customer data using the Antavo unique ID

This endpoint returns detailed information for a specific customer.

The structure of the tiers property depends on the tier solution enabled in the workspace:

  • With the Tiers module, tiers is returned as an array of tier memberships.
  • With Tier Manager, tiers is returned as an object keyed by tier structure ID. Each value contains the customer's current Tier Manager state in that structure.

The Tiers module and Tier Manager cannot be enabled in the same workspace.

Path Params
string
required

Unique customer ID. This can be

  • The Antavo unique ID e.g., 280e674c-c4ea-4a30-987a-d9267d1a5018
  • An external ID (requires configuration): {external_field:external_id_value}
Query Params
string
enum

Returns additional optional fields:

  • Groups: Returns associated groups (requires User groups module for selected customer in the form of an object with the following properties:

    • ID - integer

    • Name - string, optional (not returned for non-existing groups)

    • external_id - string, optional (not returned if empty)

  • Purchases: A summary of purchase statistics. Options are here.

  • Expiring points: A summary of expiration statistics. Options are here.

  • Expiration points history: An array of dates and number of points that have expired or will expire. Options are here.

Allowed:
Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json